CVC4::theory::TestOutputChannel Class Reference

`#include <theory_test_utils.h>`

Inheritance diagram for CVC4::theory::TestOutputChannel:
[legend]
Collaboration diagram for CVC4::theory::TestOutputChannel:
[legend]

## Public Member Functions

| TestOutputChannel ()
| ~TestOutputChannel ()
void | safePoint () throw (Interrupted, AssertionException)
void | conflict (TNode n) throw (AssertionException)
bool | propagate (TNode n) throw (AssertionException)
void | propagateAsDecision (TNode n) throw (AssertionException)
LemmaStatus | lemma (TNode n, bool removable, bool preprocess) throw (AssertionException)
void | requirePhase (TNode, bool) throw (Interrupted, AssertionException)
bool | flipDecision () throw (Interrupted, AssertionException)
void | setIncomplete () throw (AssertionException)
void | handleUserAttribute (const char *attr, theory::Theory *t)
void | clear ()
LemmaStatus | splitLemma (TNode n, bool removable=false) throw (TypeCheckingExceptionPrivate, AssertionException)
Node | getIthNode (int i)
OutputChannelCallType | getIthCallType (int i)
unsigned | getNumCalls ()
void | printIth (std::ostream &os, int i)

## Data Fields

std::vector< std::pair< enum OutputChannelCallType, Node > > | d_callHistory

## Detailed Description

Definition at line 64 of file theory_test_utils.h.

## Constructor & Destructor Documentation

## TestOutputChannel()

CVC4::theory::TestOutputChannel::TestOutputChannel | ( |  | ) |

inline

Definition at line 68 of file theory_test_utils.h.

## ~TestOutputChannel()

CVC4::theory::TestOutputChannel::~TestOutputChannel | ( |  | ) |

inline

Definition at line 70 of file theory_test_utils.h.

## Member Function Documentation

## clear()

void CVC4::theory::TestOutputChannel::clear | ( |  | ) |

inline

Definition at line 106 of file theory_test_utils.h.

References d_callHistory.

## conflict()

void CVC4::theory::TestOutputChannel::conflict | ( | TNode | n | ) |
throw | ( | AssertionException ) |  |  |

inline

Definition at line 74 of file theory_test_utils.h.

References CVC4::theory::CONFLICT.

## flipDecision()

bool CVC4::theory::TestOutputChannel::flipDecision | ( |  | ) |
throw | ( | Interrupted,
|  | AssertionException ) |  |  |

inline

Definition at line 98 of file theory_test_utils.h.

## getIthCallType()

OutputChannelCallType CVC4::theory::TestOutputChannel::getIthCallType | ( | int | i | ) |

inline

Definition at line 120 of file theory_test_utils.h.

References d_callHistory.

Referenced by printIth().

## getIthNode()

Node CVC4::theory::TestOutputChannel::getIthNode | ( | int | i | ) |

inline

Definition at line 115 of file theory_test_utils.h.

References d_callHistory.

Referenced by printIth().

## getNumCalls()

unsigned CVC4::theory::TestOutputChannel::getNumCalls | ( |  | ) |

inline

Definition at line 124 of file theory_test_utils.h.

References d_callHistory.

## handleUserAttribute()

void CVC4::theory::TestOutputChannel::handleUserAttribute | ( | const char * | attr,
|  | theory::Theory * | t )

inline

Definition at line 104 of file theory_test_utils.h.

## lemma()

LemmaStatus CVC4::theory::TestOutputChannel::lemma | ( | TNode | n,
|  | bool | removable,
|  | bool | preprocess )
throw | ( | AssertionException ) |  |  |

inline

Definition at line 90 of file theory_test_utils.h.

References CVC4::theory::LEMMA.

## printIth()

void CVC4::theory::TestOutputChannel::printIth | ( | std::ostream & | os,
|  | int | i )

inline

Definition at line 128 of file theory_test_utils.h.

References getIthCallType(), and getIthNode().

## propagate()

bool CVC4::theory::TestOutputChannel::propagate | ( | TNode | n | ) |
throw | ( | AssertionException ) |  |  |

inline

Definition at line 79 of file theory_test_utils.h.

References CVC4::theory::PROPAGATE.

## propagateAsDecision()

void CVC4::theory::TestOutputChannel::propagateAsDecision | ( | TNode | n | ) |
throw | ( | AssertionException ) |  |  |

inline

Definition at line 85 of file theory_test_utils.h.

References CVC4::theory::PROPAGATE_AS_DECISION.

## requirePhase()

void CVC4::theory::TestOutputChannel::requirePhase | ( | TNode | ,
|  | bool | )
throw | ( | Interrupted,
|  | AssertionException ) |  |  |

inline

Definition at line 95 of file theory_test_utils.h.

## safePoint()

void CVC4::theory::TestOutputChannel::safePoint | ( |  | ) |
throw | ( | Interrupted,
|  | AssertionException ) |  |  |

inline

Definition at line 72 of file theory_test_utils.h.

## setIncomplete()

void CVC4::theory::TestOutputChannel::setIncomplete | ( |  | ) |
throw | ( | AssertionException ) |  |  |

inline

Definition at line 102 of file theory_test_utils.h.

## splitLemma()

LemmaStatus CVC4::theory::TestOutputChannel::splitLemma | ( | TNode | n,
|  | bool | removable = false )
throw | ( | TypeCheckingExceptionPrivate,
|  | AssertionException ) |  |  |

inline

Definition at line 110 of file theory_test_utils.h.

References CVC4::theory::LEMMA.

## Field Documentation

## d_callHistory

std::vector< std::pair<enum OutputChannelCallType, Node> > CVC4::theory::TestOutputChannel::d_callHistory

Definition at line 66 of file theory_test_utils.h.

Referenced by clear(), getIthCallType(), getIthNode(), and getNumCalls().

The documentation for this class was generated from the following file:

- src/theory/theory_test_utils.h